For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • PATCHAdd external Id
      • PATCHApprove an equity exercise
      • POSTCreate a new contract
      • POSTCreate a request to exercise equity.
      • GETGet an estimate of withholding amount given an equity event.
      • GETList contract termination reasons
      • GETList of contracts
      • POSTReject contract
      • GETRetrieve a single contract
      • GETRetrieve contract PDF download link
      • GETRetrieve contract templates
      • POSTSign amendment
      • POSTSign worker contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsContracts

Sign amendment

POST
/workers/amendments/:amendment_id/sign
POST
/rest/v2/workers/amendments/:amendment_id/sign
$curl -X POST https://api.letsdeel.com/rest/v2/workers/amendments/550e8400-e29b-41d4-a716-446655440000/sign \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {
> "data": {
> "contractor_signature": "Alice Johnson"
> }
> }
>}'
1{
2 "data": {
3 "id": "550e8400-e29b-41d4-a716-446655440000",
4 "is_signed": true
5 }
6}

Records the worker’s signature on a pending amendment identified by amendment_id. Once signed, the amendment’s status change is reflected in the associated contract. Token scopes: worker:read, worker:write, benefits:read

Was this page helpful?
Previous

Sign worker contract

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

amendment_idstringRequired
The unique identifier of the amendment to sign

Request

This endpoint expects an object.
dataobjectOptional

Response

Amendment successfully signed.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication